package com.bonus.material.project.service;

import java.util.List;
import java.util.Map;

public interface RegionService {
    List<Map<String, Object>> getProvinces();
    // 参数改为String类型（area_code通常是字符串，避免数字过长丢失精度）
    List<Map<String, Object>> getCitiesByProvinceAreaCode(String provinceAreaCode);
    List<Map<String, Object>> getDistrictsByCityAreaCode(String cityAreaCode);
}
